SiteGround Updates Supercacher to Work with PHP7

SiteGround Updates Supercacher to Work with PHP7

With PHP 7 reaching its General Availability Status in December, and with PHP 7 being available at Siteground (albeit in Beta) for some time, Siteground announced some significant improvements to their SuperCacher system.  These includes replacing Memcache with Memcached to ensure PHP 7 compatibility.

Now that PHP 7 has reached General Availability Status, it is now suitable to use on production sites.  You should still bear in mind that some functions in PHP have been depreciated with PHP 7, so you may still want to check that all your plugins \ websites work.

PHP 7 Adoption Status at Siteground

As Siteground has made PHP 7 available to their clients for some time, they are uniquely qualified to comment on the prevalence of any issues with its uptake.  While some of the major Content Management Systems have declared support for PHP 7, others may need some further time to make fully that declaration.  Siteground’s tests indicate the following:

  • Drupal 8 – Officially supports PHP 7. Available for download.
  • Drupal 7  – Works with PHP 7. Available for download.
  • WordPress 4.3.1 – Works with PHP 7. Available for download.
  • Joomla! 3.4.5 – Does not support PHP 7.
  • Joomla! 3.5 – Supports PHP 7. Will be released in January 2016.

As we mentioned, this does not necessarily mean that all your plugins, themes and other scripts that you are using are compatible.  If you do with to try it out, then we highly suggest testing it out thoroughly.  You may also wish to refer to this migration guide if you are more technically minded.

An alternative, for a small additional cost, is to sign up to the SiteGround Cloud Hosting, which features HHVM.  The performance benefits between PHP 7 and HHVM are very comparable.  Either way, both PHP 7 and HHVM offer significant performance improvements on the previous version, PHP 5.6.

Improvements to the Siteground SuperCacher

This announcement is just one of a long line of improvements to the Supercacher that have been made recently.  Most notably, Siteground recently changed from using Varnish + Memcache to Nginx + Memcache to better support sites using SSL (Varnish is incompatible with SSL).  Furthermore, Siteground announced the implementation of PHP 7, and ensured as far as they were able, that it integrated nicely with the Supercacher (note Memcache was incompatible with PHP 7).  This, of course, comes hot on the heels of HTTP/2 implementation (another significant performance benefit, but requires SSL), which you can read more about here.

It is only natural, then, with Siteground being at the forefront of performance-related technologies, that they would ensure that PHP 7 would be fully compatible with the Supercacher upon its General Availability.  To do this, they moved away from using the Memcache PHP PECL module that was incompatible with PHP 7, to the Memcached, a new PECL for PHP that provides more features and better performance.

If you are using PHP 7, available on all plans, and with you use Memcached you will need to update the plugin to the latest version (version 2.3.9) and then disable, and re-enable the plugin in the WordPress dashboard.

If you have not already, you will then need to change your PHP version for your site within the cPanel -> PHP Version Manager tool:


We will be happy to see your thoughts

Leave a reply